package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

public class NeedCheckingDetailDto {

    @ApiModelProperty(value = "报名编号")
    private Long examRegistrationId;

    @ApiModelProperty(value = "考场与学员关联编号")
    private Long examRoomStudentRelationId;

    @ApiModelProperty(value = "开始时间")
    private String examStartTime;

    @ApiModelProperty(value = "结束时间")
    private String examEndTime;

    @ApiModelProperty(value = "签到时间")
    private String signInTime;

    @ApiModelProperty(value = "房间入口开启状态")
    private Integer classroomSwitch;

    @ApiModelProperty(value = "考试是否开始")
    private Integer openFlag;

    @ApiModelProperty(value = "是否录制")
    private Integer recordFlag;

    @ApiModelProperty(value = "学员是否考试")
    private Integer finishedExam;

    @ApiModelProperty(value = "等待人数")
    private Integer waitNum;

    @ApiModelProperty(value = "考试名称")
    private String baseExamName;

    @ApiModelProperty(value = "房间编号")
    private Long examRoomId;

    @ApiModelProperty(value = "注意事项")
    private String desc;

    public Integer getRecordFlag() {
        return recordFlag;
    }

    public void setRecordFlag(Integer recordFlag) {
        this.recordFlag = recordFlag;
    }

    public Long getExamRoomStudentRelationId() {
        return examRoomStudentRelationId;
    }

    public void setExamRoomStudentRelationId(Long examRoomStudentRelationId) {
        this.examRoomStudentRelationId = examRoomStudentRelationId;
    }

    public Integer getFinishedExam() {
        return finishedExam;
    }

    public void setFinishedExam(Integer finishedExam) {
        this.finishedExam = finishedExam;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public Long getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Long examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(String signInTime) {
        this.signInTime = signInTime;
    }

    public Integer getClassroomSwitch() {
        return classroomSwitch;
    }

    public void setClassroomSwitch(Integer classroomSwitch) {
        this.classroomSwitch = classroomSwitch;
    }

    public Integer getWaitNum() {
        return waitNum;
    }

    public void setWaitNum(Integer waitNum) {
        this.waitNum = waitNum;
    }

    public String getBaseExamName() {
        return baseExamName;
    }

    public void setBaseExamName(String baseExamName) {
        this.baseExamName = baseExamName;
    }

    public Long getExamRoomId() {
        return examRoomId;
    }

    public void setExamRoomId(Long examRoomId) {
        this.examRoomId = examRoomId;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
